[Python-modules-commits] [gtts] 06/06: Add basic autopkgtest tests

Ethan Ward ethanward-guest at moszumanska.debian.org
Wed Aug 2 20:42:40 UTC 2017


This is an automated email from the git hooks/post-receive script.

ethanward-guest pushed a commit to branch master
in repository gtts.

commit 834daac67f6955b808c9ac7d7f11dd4cca7f8d0e
Author: Ethan Ward <ethan.ward at mycroft.ai>
Date:   Wed Aug 2 15:41:35 2017 -0500

    Add basic autopkgtest tests
---
 debian/tests/control |  6 ++++++
 debian/tests/py2     | 10 ++++++++++
 debian/tests/py3     |  9 +++++++++
 3 files changed, 25 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..1cb0601
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,6 @@
+Tests: py2
+Depends: python-all, python-gtts
+
+Tests: py3
+Depends: python3-all, python3-gtts
+
diff --git a/debian/tests/py2 b/debian/tests/py2
new file mode 100644
index 0000000..6211a8d
--- /dev/null
+++ b/debian/tests/py2
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+for py in $(pyversions -r 2>/dev/null) ;
+ do cd "$ADTTMP"
+ echo "Testing with $py:"
+ $py -c "import gtts; print gtts"
+ done
+
diff --git a/debian/tests/py3 b/debian/tests/py3
new file mode 100644
index 0000000..b51c138
--- /dev/null
+++ b/debian/tests/py3
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+for py in $(py3versions -r 2>/dev/null)
+ do cd "$ADTTMP"
+ echo "Testing with $py:"
+ $py -c "import gtts; print(gtts)"
+ done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/gtts.git



More information about the Python-modules-commits mailing list